Index: trunk/src/libs/xpcom18a4/xpcom/build/nsXPCOMPrivate.h
===================================================================
--- trunk/src/libs/xpcom18a4/xpcom/build/nsXPCOMPrivate.h	(revision 101860)
+++ trunk/src/libs/xpcom18a4/xpcom/build/nsXPCOMPrivate.h	(revision 101861)
@@ -47,5 +47,4 @@
 
 #ifdef VBOX_WITH_XPCOM_NAMESPACE_CLEANUP
-#define NS_GetFrozenFunctions VBoxNsxpNS_GetFrozenFunctions
 #define NS_RegisterXPCOMExitRoutine VBoxNsxpNS_RegisterXPCOMExitRoutine
 #define NS_UnregisterXPCOMExitRoutine VBoxNsxpNS_UnregisterXPCOMExitRoutine
@@ -81,82 +80,4 @@
 NS_UnregisterXPCOMExitRoutine(XPCOMExitRoutine exitRoutine);
 
-
-// PUBLIC
-typedef nsresult   (* InitFunc)(nsIServiceManager* *result, nsIFile* binDirectory, nsIDirectoryServiceProvider* appFileLocationProvider);
-typedef nsresult   (* ShutdownFunc)(nsIServiceManager* servMgr);
-typedef nsresult   (* GetServiceManagerFunc)(nsIServiceManager* *result);
-typedef nsresult   (* GetComponentManagerFunc)(nsIComponentManager* *result);
-typedef nsresult   (* GetComponentRegistrarFunc)(nsIComponentRegistrar* *result);
-typedef nsresult   (* NewLocalFileFunc)(const nsAString &path, PRBool followLinks, nsILocalFile* *result);
-typedef nsresult   (* NewNativeLocalFileFunc)(const nsACString &path, PRBool followLinks, nsILocalFile* *result);
-
-typedef nsresult   (* GetDebugFunc)(nsIDebug* *result);
-typedef nsresult   (* GetTraceRefcntFunc)(nsITraceRefcnt* *result);
-
-typedef nsresult   (* StringContainerInitFunc)(nsStringContainer&);
-typedef void       (* StringContainerFinishFunc)(nsStringContainer&);
-typedef PRUint32   (* StringGetDataFunc)(const nsAString&, const PRUnichar**, PRBool*);
-typedef PRUnichar* (* StringCloneDataFunc)(const nsAString&);
-typedef nsresult   (* StringSetDataFunc)(nsAString&, const PRUnichar*, PRUint32);
-typedef nsresult   (* StringSetDataRangeFunc)(nsAString&, PRUint32, PRUint32, const PRUnichar*, PRUint32);
-typedef nsresult   (* StringCopyFunc)(nsAString &, const nsAString &);
-
-typedef nsresult   (* CStringContainerInitFunc)(nsCStringContainer&);
-typedef void       (* CStringContainerFinishFunc)(nsCStringContainer&);
-typedef PRUint32   (* CStringGetDataFunc)(const nsACString&, const char**, PRBool*);
-typedef char*      (* CStringCloneDataFunc)(const nsACString&);
-typedef nsresult   (* CStringSetDataFunc)(nsACString&, const char*, PRUint32);
-typedef nsresult   (* CStringSetDataRangeFunc)(nsACString&, PRUint32, PRUint32, const char*, PRUint32);
-typedef nsresult   (* CStringCopyFunc)(nsACString &, const nsACString &);
-
-typedef nsresult   (* CStringToUTF16)(const nsACString &, PRUint32, const nsAString &);
-typedef nsresult   (* UTF16ToCString)(const nsAString &, PRUint32, const nsACString &);
-
-// PRIVATE
-typedef nsresult   (* RegisterXPCOMExitRoutineFunc)(XPCOMExitRoutine exitRoutine, PRUint32 priority);
-typedef nsresult   (* UnregisterXPCOMExitRoutineFunc)(XPCOMExitRoutine exitRoutine);
-
-typedef struct XPCOMFunctions{
-    PRUint32 version;
-    PRUint32 size;
-
-    InitFunc init;
-    ShutdownFunc shutdown;
-    GetServiceManagerFunc getServiceManager;
-    GetComponentManagerFunc getComponentManager;
-    GetComponentRegistrarFunc getComponentRegistrar;
-    NewLocalFileFunc newLocalFile;
-    NewNativeLocalFileFunc newNativeLocalFile;
-
-    RegisterXPCOMExitRoutineFunc registerExitRoutine;
-    UnregisterXPCOMExitRoutineFunc unregisterExitRoutine;
-
-    // Added for Mozilla 1.5
-    GetDebugFunc getDebug;
-    GetTraceRefcntFunc getTraceRefcnt;
-
-    // Added for Mozilla 1.7
-    StringContainerInitFunc stringContainerInit;
-    StringContainerFinishFunc stringContainerFinish;
-    StringGetDataFunc stringGetData;
-    StringSetDataFunc stringSetData;
-    StringSetDataRangeFunc stringSetDataRange;
-    StringCopyFunc stringCopy;
-    CStringContainerInitFunc cstringContainerInit;
-    CStringContainerFinishFunc cstringContainerFinish;
-    CStringGetDataFunc cstringGetData;
-    CStringSetDataFunc cstringSetData;
-    CStringSetDataRangeFunc cstringSetDataRange;
-    CStringCopyFunc cstringCopy;
-    CStringToUTF16 cstringToUTF16;
-    UTF16ToCString utf16ToCString;
-    StringCloneDataFunc stringCloneData;
-    CStringCloneDataFunc cstringCloneData;
-   
-} XPCOMFunctions;
-
-typedef nsresult (PR_CALLBACK *GetFrozenFunctionsFunc)(XPCOMFunctions *entryPoints, const char* libraryPath);
-extern "C" NS_COM nsresult
-NS_GetFrozenFunctions(XPCOMFunctions *entryPoints, const char* libraryPath);
 
 // think hard before changing this
Index: trunk/src/libs/xpcom18a4/xpcom/build/nsXPComInit.cpp
===================================================================
--- trunk/src/libs/xpcom18a4/xpcom/build/nsXPComInit.cpp	(revision 101860)
+++ trunk/src/libs/xpcom18a4/xpcom/build/nsXPComInit.cpp	(revision 101861)
@@ -901,98 +901,2 @@
 }
 
-#define GET_FUNC(_tag, _decl, _name)                        \
-  functions->_tag = (_decl) PR_FindSymbol(xpcomLib, _name); \
-  if (!functions->_tag) goto end
-
-nsresult NS_COM PR_CALLBACK
-NS_GetFrozenFunctions(XPCOMFunctions *functions, const char* libraryPath)
-{
-    if (!functions)
-        return NS_ERROR_OUT_OF_MEMORY;
-
-    if (functions->version != XPCOM_GLUE_VERSION)
-        return NS_ERROR_FAILURE;
-
-    PRLibrary *xpcomLib = PR_LoadLibrary(libraryPath);
-    if (!xpcomLib)
-        return NS_ERROR_FAILURE;
-
-    nsresult rv = NS_ERROR_FAILURE;
-
-#ifdef VBOX_WITH_XPCOM_NAMESPACE_CLEANUP
-    GET_FUNC(init,                  InitFunc,                       "VBoxNsxpNS_InitXPCOM2");
-    GET_FUNC(shutdown,              ShutdownFunc,                   "VBoxNsxpNS_ShutdownXPCOM");
-    GET_FUNC(getServiceManager,     GetServiceManagerFunc,          "VBoxNsxpNS_GetServiceManager");
-    GET_FUNC(getComponentManager,   GetComponentManagerFunc,        "VBoxNsxpNS_GetComponentManager");
-    GET_FUNC(getComponentRegistrar, GetComponentRegistrarFunc,      "VBoxNsxpNS_GetComponentRegistrar");
-    GET_FUNC(newLocalFile,          NewLocalFileFunc,               "VBoxNsxpNS_NewLocalFile");
-    GET_FUNC(newNativeLocalFile,    NewNativeLocalFileFunc,         "VBoxNsxpNS_NewNativeLocalFile");
-    GET_FUNC(registerExitRoutine,   RegisterXPCOMExitRoutineFunc,   "VBoxNsxpNS_RegisterXPCOMExitRoutine");
-    GET_FUNC(unregisterExitRoutine, UnregisterXPCOMExitRoutineFunc, "VBoxNsxpNS_UnregisterXPCOMExitRoutine");
-#else /* !VBOX_WITH_XPCOM_NAMESPACE_CLEANUP */
-    GET_FUNC(init,                  InitFunc,                       "NS_InitXPCOM2");
-    GET_FUNC(shutdown,              ShutdownFunc,                   "NS_ShutdownXPCOM");
-    GET_FUNC(getServiceManager,     GetServiceManagerFunc,          "NS_GetServiceManager");
-    GET_FUNC(getComponentManager,   GetComponentManagerFunc,        "NS_GetComponentManager");
-    GET_FUNC(getComponentRegistrar, GetComponentRegistrarFunc,      "NS_GetComponentRegistrar");
-    GET_FUNC(newLocalFile,          NewLocalFileFunc,               "NS_NewLocalFile");
-    GET_FUNC(newNativeLocalFile,    NewNativeLocalFileFunc,         "NS_NewNativeLocalFile");
-    GET_FUNC(registerExitRoutine,   RegisterXPCOMExitRoutineFunc,   "NS_RegisterXPCOMExitRoutine");
-    GET_FUNC(unregisterExitRoutine, UnregisterXPCOMExitRoutineFunc, "NS_UnregisterXPCOMExitRoutine");
-#endif /* !VBOX_WITH_XPCOM_NAMESPACE_CLEANUP */
-
-    // these functions were added post 1.4 (need to check size of |functions|)
-    if (functions->size > offsetof(XPCOMFunctions, getTraceRefcnt)) {
-#ifdef VBOX_WITH_XPCOM_NAMESPACE_CLEANUP
-        GET_FUNC(getDebug,          GetDebugFunc,                   "VBoxNsxpNS_GetDebug");
-        GET_FUNC(getTraceRefcnt,    GetTraceRefcntFunc,             "VBoxNsxpNS_GetTraceRefcnt");
-#else /* !VBOX_WITH_XPCOM_NAMESPACE_CLEANUP */
-        GET_FUNC(getDebug,          GetDebugFunc,                   "NS_GetDebug");
-        GET_FUNC(getTraceRefcnt,    GetTraceRefcntFunc,             "NS_GetTraceRefcnt");
-#endif /* !VBOX_WITH_XPCOM_NAMESPACE_CLEANUP */
-    }
-
-    // these functions were added post 1.6 (need to check size of |functions|)
-    if (functions->size > offsetof(XPCOMFunctions, cstringCloneData)) {
-#ifdef VBOX_WITH_XPCOM_NAMESPACE_CLEANUP
-        GET_FUNC(stringContainerInit,    StringContainerInitFunc,        "VBoxNsxpNS_StringContainerInit");
-        GET_FUNC(stringContainerFinish,  StringContainerFinishFunc,      "VBoxNsxpNS_StringContainerFinish");
-        GET_FUNC(stringGetData,          StringGetDataFunc,              "VBoxNsxpNS_StringGetData");
-        GET_FUNC(stringSetData,          StringSetDataFunc,              "VBoxNsxpNS_StringSetData");
-        GET_FUNC(stringSetDataRange,     StringSetDataRangeFunc,         "VBoxNsxpNS_StringSetDataRange");
-        GET_FUNC(stringCopy,             StringCopyFunc,                 "VBoxNsxpNS_StringCopy");
-        GET_FUNC(cstringContainerInit,   CStringContainerInitFunc,       "VBoxNsxpNS_CStringContainerInit");
-        GET_FUNC(cstringContainerFinish, CStringContainerFinishFunc,     "VBoxNsxpNS_CStringContainerFinish");
-        GET_FUNC(cstringGetData,         CStringGetDataFunc,             "VBoxNsxpNS_CStringGetData");
-        GET_FUNC(cstringSetData,         CStringSetDataFunc,             "VBoxNsxpNS_CStringSetData");
-        GET_FUNC(cstringSetDataRange,    CStringSetDataRangeFunc,        "VBoxNsxpNS_CStringSetDataRange");
-        GET_FUNC(cstringCopy,            CStringCopyFunc,                "VBoxNsxpNS_CStringCopy");
-        GET_FUNC(cstringToUTF16,         CStringToUTF16,                 "VBoxNsxpNS_CStringToUTF16");
-        GET_FUNC(utf16ToCString,         UTF16ToCString,                 "VBoxNsxpNS_UTF16ToCString");
-        GET_FUNC(stringCloneData,        StringCloneDataFunc,            "VBoxNsxpNS_StringCloneData");
-        GET_FUNC(cstringCloneData,       CStringCloneDataFunc,           "VBoxNsxpNS_CStringCloneData");
-#else /* !VBOX_WITH_XPCOM_NAMESPACE_CLEANUP */
-        GET_FUNC(stringContainerInit,    StringContainerInitFunc,        "NS_StringContainerInit");
-        GET_FUNC(stringContainerFinish,  StringContainerFinishFunc,      "NS_StringContainerFinish");
-        GET_FUNC(stringGetData,          StringGetDataFunc,              "NS_StringGetData");
-        GET_FUNC(stringSetData,          StringSetDataFunc,              "NS_StringSetData");
-        GET_FUNC(stringSetDataRange,     StringSetDataRangeFunc,         "NS_StringSetDataRange");
-        GET_FUNC(stringCopy,             StringCopyFunc,                 "NS_StringCopy");
-        GET_FUNC(cstringContainerInit,   CStringContainerInitFunc,       "NS_CStringContainerInit");
-        GET_FUNC(cstringContainerFinish, CStringContainerFinishFunc,     "NS_CStringContainerFinish");
-        GET_FUNC(cstringGetData,         CStringGetDataFunc,             "NS_CStringGetData");
-        GET_FUNC(cstringSetData,         CStringSetDataFunc,             "NS_CStringSetData");
-        GET_FUNC(cstringSetDataRange,    CStringSetDataRangeFunc,        "NS_CStringSetDataRange");
-        GET_FUNC(cstringCopy,            CStringCopyFunc,                "NS_CStringCopy");
-        GET_FUNC(cstringToUTF16,         CStringToUTF16,                 "NS_CStringToUTF16");
-        GET_FUNC(utf16ToCString,         UTF16ToCString,                 "NS_UTF16ToCString");
-        GET_FUNC(stringCloneData,        StringCloneDataFunc,            "NS_StringCloneData");
-        GET_FUNC(cstringCloneData,       CStringCloneDataFunc,           "NS_CStringCloneData");
-#endif /* !VBOX_WITH_XPCOM_NAMESPACE_CLEANUP */
-    }
-
-    rv = NS_OK;
-end:
-    PR_UnloadLibrary(xpcomLib); // the library is refcnt'ed above by the caller.
-    return rv;
-}